Last Comment Bug 749893 - favicon of previous page is displayed on tab when you hit back button
: favicon of previous page is displayed on tab when you hit back button
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 660618
  Show dependency treegraph
 
Reported: 2012-04-27 21:40 PDT by FourthDr
Modified: 2012-05-15 11:35 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Show wrong icon on tab for google (15.37 KB, image/jpeg)
2012-04-27 21:40 PDT, FourthDr
no flags Details
Proposed patch (963 bytes, patch)
2012-05-02 03:53 PDT, neil@parkwaycc.co.uk
philip.chee: review+
philip.chee: approval‑comm‑aurora+
philip.chee: approval‑comm‑beta+
Details | Diff | Splinter Review

Description FourthDr 2012-04-27 21:40:33 PDT
Created attachment 619250 [details]
Show wrong icon on tab for google

User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14; Firefox/5.0.0
Build ID: 20110420224920

Steps to reproduce:

Open Seamonkey, open a few tabs. Go to different websites that have favicons. 


Actual results:

Hit the browser back button once, that tab retains the previous sites favicon. This works the other way around as well, if you go forward the last websites favicon is displayed on the tab. However if you go forwared or back more than once the icon on the tab does update. But the next forward/back it does it again. This can be confusing when you have lots of tabs open and are looking for the site specific icon.


Expected results:

The tab should be displaying the correct site favicon on the tab at all times, not the previous icon when using the forward/back buttons.
Comment 1 Philip Chee 2012-04-28 05:57:30 PDT
> User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.19)
> Gecko/20110420 SeaMonkey/2.0.14; Firefox/5.0.0
> Build ID: 20110420224920
SeaMonkey 2.0 is old, obsolete and unsupported. Does this happen in SeaMonkey 2.9?
Comment 2 FourthDr 2012-04-28 06:23:05 PDT
Yes, I started noticing this beginning with version ~2.2. The most current version 2.9 does it too.
Comment 3 Phoenix 2012-05-01 07:32:00 PDT
Confirming problem on trunk
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:15.0) Gecko/20120425 Firefox/15.0a1 SeaMonkey/2.12a1
1) Visit somewebsite.com with favicon
2) Go to google.com, favicon is correct
3) Press back button, previous site with it's favicon also rendered correctly
4) Now press Forward button, and Google get favicon from previous site on tab
Comment 4 Philip Chee 2012-05-01 19:56:04 PDT
Hmm. Neil, is this a tabbrowser bug?
Comment 5 neil@parkwaycc.co.uk 2012-05-02 02:12:11 PDT
Actually this looks like a regression from bug 660618, which landed in 2.2; what's happening is that we're no longer clearing the previous favicon when we're navigating through the bfcache.

For consistency I suppose the easiest fix is to always remove the favicon (if the page is blank then it won't have a favicon, so no change there).
Comment 6 neil@parkwaycc.co.uk 2012-05-02 02:15:03 PDT
Except that that's suboptimal because we then have a slight visual glitch when navigating between two pages with favicons...
Comment 7 neil@parkwaycc.co.uk 2012-05-02 03:53:04 PDT
Created attachment 620246 [details] [diff] [review]
Proposed patch

At this point of the code we're normally turning off the busy animation, so we're not expecting there to be an image set on the tab.

But of course bug 660618 changed this, so we're not busy, and any previous image is still there. This looks like the best place to remove it.
Comment 8 Philip Chee 2012-05-03 09:44:15 PDT
Comment on attachment 620246 [details] [diff] [review]
Proposed patch

r=me
Comment 9 neil@parkwaycc.co.uk 2012-05-03 14:15:05 PDT
Pushed changeset eae8f8e14ac3 to comm-central.
Comment 10 neil@parkwaycc.co.uk 2012-05-03 14:16:27 PDT
Comment on attachment 620246 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 660618
User impact if declined: tab favicon confusion
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): low
String changes made by this patch: none
Comment 11 Philip Chee 2012-05-15 03:17:42 PDT
Comment on attachment 620246 [details] [diff] [review]
Proposed patch

a=me

Note You need to log in before you can comment on or make changes to this bug.